/*
 * Copyright 2019 Confluent Inc.
 *
 * Licensed under the Confluent Community License (the "License"); you may not use
 * this file except in compliance with the License.  You may obtain a copy of the
 * License at
 *
 * http://www.confluent.io/confluent-community-license
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 */

package io.confluent.kafka.secretregistry.rest.exceptions;

import io.confluent.rest.exceptions.RestConstraintViolationException;

/**
 * Indicates that the key is not a valid key. Valid keys must start form a-z / A-Z
 */
public class RestInvalidKeyException extends RestConstraintViolationException {

  public static final int ERROR_CODE = Errors.INVALID_KEY_ERROR_CODE;

  public RestInvalidKeyException() {
    this("The specified key is not a valid key. Key must start from a-z or A-Z");
  }

  public RestInvalidKeyException(String message) {
    super(message, ERROR_CODE);
  }
}
